#!/bin/ksh

WORKDIR=`dirname $0`
. $WORKDIR/setenv.sh

# show usage of the command
showusage()
{
echo "Usage:"
echo "------"
echo "off | more"
echo "migrateDN.db2.sh (dbname) (userId) (password) (db2insthome)  [jvmheapsz]"
echo "migrateDN.db2.sh (dbname) (userId) (password) /home/db2inst1/sqllib 128m"
exit 1
}

if [[ "x$1x" = "xx"  || "x$2x" = "xx" ||  "x$3x" = "xx" || "x$4x" = "xx" ]];
then
     showusage
fi


. $4/db2profile


if [[ ! -d $WCLOGDIR/migration ]];
then
	mkdir -p $WCLOGDIR/migration
fi


database=$1
user=$2
password=$3

if [[ "x$5x" = "xx" ]];
then
	jvmheapsz=128m
else
	jvmheapsz=$5
fi

schema=$WCS_HOME/schema
log=$WCLOGDIR/migration/migrateDN.log
doDN=com.ibm.commerce.migration.tool.migrateDN
. $WORKDIR/setdbenv.db2.sh
CPM=$WCS_HOME/properties:$WCS_HOME/lib/wcsmigration.jar:$CLASSPATH
cd $WCS_HOME/schema
echo "populating Orgentity DN ..."
echo "-----------------------------------------------"
echo "off | more"
db2 connect to $database user $user using $password >> $log  2>&1
db2 -tvf $schema/fillorgDN.sql >> $log 2>&1
echo "off | more"
echo "populating users DN ..."
echo "------------------------"

# ${JAVA_EXE?} -classpath $CPM $doDN $database  $user $password >> $log  2>&1 
echo ${JAVA_EXE?}  -Xmx$jvmheapsz -classpath $CPM $doDN $database  $user $password >> $log  2>&1 
${JAVA_EXE?}  -Xmx$jvmheapsz -classpath $CPM $doDN $database  $user $password >> $log  2>&1 

echo "off | more"
echo "Populating orgentity and user DN completed. Please check migrateDN.log."
cd $WCLOGDIR/migration
